Bio items API
Links and blocks on a bio page.
| Operation | Method and path |
|---|---|
| Add an item to a bio page | POST /api/v1/bio-item |
| Update a bio item | PATCH /api/v1/bio-item/{id} |
| Delete a bio item | DELETE /api/v1/bio-item/{id} |
| Reorder bio items | POST /api/v1/bio-item/reorder |
POST
/api/v1/bio-item Add an item to a bio page
bioItem.create · requires x-api-key
Request body application/json
-
bioIdstring required -
typestring requiredOne of:LINKHEADERSOCIALTEXT -
titlestring required -
urlstring nullable -
iconstring nullable
Example
curl -X POST "https://api.siaran.my/api/v1/bio-item" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"bioId": "BIO_ID",
"type": "LINK",
"title": "Hello from Siar"
}' Response 201
9 top-level fields
-
idstring required -
bioIdstring -
typestring requiredOne of:LINKHEADERSOCIALTEXT -
titlestring required -
urlstring nullable -
iconstring nullable -
positioninteger -
activeboolean -
clicksinteger
PATCH
/api/v1/bio-item/{id} Update a bio item
bioItem.update · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
id required | path | string |
Request body application/json
-
titlestring -
urlstring nullable -
iconstring nullable -
activeboolean
Example
curl -X PATCH "https://api.siaran.my/api/v1/bio-item/ID" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"title": "Hello from Siar",
"url": "https://example.com/file.jpg",
"icon": "string"
}' Response 200
9 top-level fields
-
idstring required -
bioIdstring -
typestring requiredOne of:LINKHEADERSOCIALTEXT -
titlestring required -
urlstring nullable -
iconstring nullable -
positioninteger -
activeboolean -
clicksinteger
DELETE
/api/v1/bio-item/{id} Delete a bio item
bioItem.delete · requires x-api-key
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
id required | path | string |
Example
curl -X DELETE "https://api.siaran.my/api/v1/bio-item/ID" \
-H "x-api-key: $SIAR_API_KEY" Response 200
1 top-level fields
-
successboolean required
POST
/api/v1/bio-item/reorder Reorder bio items
bioItem.reorder · requires x-api-key
Request body application/json
-
bioIdstring required -
idsstring[] required
Example
curl -X POST "https://api.siaran.my/api/v1/bio-item/reorder" \
-H "x-api-key: $SIAR_API_KEY" \
-H "content-type: application/json" \
-d '{
"bioId": "BIO_ID",
"ids": [
"ID_ID"
]
}' Response 200
1 top-level fields
-
successboolean required